Skip to content

Get a user by ID. All users exist implicitly, returns basic user object if not found in DB.

GET
/users/{userId}
userId
required
string

User ID

Successful response

object
id
required

Unique user identifier. Required.

string
email

User’s email address for email notifications.

string
number

User’s phone number for SMS/call notifications.

string
pushTokens

Mobile push tokens (FCM, APN) for push notifications.

Array<object>
object
type
required
string
Allowed values: FCM APN
token
required
string
device
required
object
app_id
string
ad_id
string
device_id
required
string
platform
string
manufacturer
string
model
string
environment

Used by APN to differentiate between sandbox and production builds (sandbox/undefined or production)

string
default: undefined
webPushTokens

Web push subscription config from the browser.

Array<object>
object
sub
required

Configuration for a Push Subscription. This can be obtained on the frontend by calling serviceWorkerRegistration.pushManager.subscribe(). The expected format is the same output as JSON.stringify’ing a PushSubscription in the browser.

object
endpoint
required
string
keys
required
object
p256dh
required
string
auth
required
string
timezone

User’s timezone (e.g. “America/New_York”) for scheduling.

string
slackChannel

The destination channel of slack notifications sent to this user. Can be either of the following:

  • Channel name, e.g. “test”
  • Channel name with # prefix, e.g. “#test”
  • Channel ID, e.g. “C1234567890”
  • User ID for DM, e.g. “U1234567890”
  • Username with @ prefix, e.g. “@test”
string
slackToken
object
access_token
string
app_id
string
authed_user
object
access_token
string
expires_in
number
id
string
refresh_token
string
scope
string
token_type
string
bot_user_id
string
enterprise
object
id
string
name
string
error
string
expires_in
number
incoming_webhook
object
channel
string
channel_id
string
configuration_url
string
url
string
is_enterprise_install
boolean
needed
string
ok
required
boolean
provided
string
refresh_token
string
scope
string
team
object
id
string
name
string
token_type
string
warning
string
response_metadata
object
warnings
Array<string>
next_cursor
string
scopes
Array<string>
acceptedScopes
Array<string>
retryAfter
number
messages
Array<string>
lastSeenTime

Last activity timestamp. Updated automatically. Read-only.

string
updatedAt

Last update timestamp. Read-only.

string
createdAt

Creation timestamp. Read-only.

string
emailSuppressionStatus

Bounce or complaint status if email was suppressed. Read-only.

object
reason
required
string
Allowed values: Bounce Complaint
details
required
object

Bad Request

Unauthorized

Internal Server Error